set_allegro_resource_path(3)

NAME
set_allegro_resource_path - Sets a specific resource search path. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int set_allegro_resource_path(int priority, const char *path);

DESCRIPTION
Sometimes Allegro doesn't look in enough places to find a resource. For those special cases, you can call this function before loading your resource with additional paths to search for. You set up the priorities, higher numbers are searched for first. To modify an already setup path, call this function with the same priority and the new path. To remove an already setup path, call this function with the priority of the path and NULL as the path parameter. Example:
   set_allegro_resource_path(10, "my_game/configs");
   set_allegro_resource_path(0, "users/configs/");
   set_allegro_resource_path(-45, "temp");

These custom paths will be valid until you call allegro_exit(). You can call this function before install_allegro(), but after set_uformat() if you want to use a text encoding format other than the default.

RETURN VALUE
Returns non-zero on success, zero if the path could not be added or you wanted to remove a path and the priority used didn't have any associated path. Modification of existing paths always succeeds.

SEE ALSO
find_allegro_resource(3)